Package org.opensaml.saml.saml1.core

# Interface StatusCode

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `StatusCodeImpl`

public interface StatusCode extends SAMLObject
This interface defines how the object representing a SAML 1 `StatusCode` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final QName`
`REQUEST_DENIED`
RequestDenied status value.
`static final QName`
`REQUEST_VERSION_DEPRECATED`
RequestVersionDepricated status value.
`static final QName`
`REQUEST_VERSION_TOO_HIGH`
RequestVersionTooHigh status value.
`static final QName`
`REQUEST_VERSION_TOO_LOW`
RequestVersionTooLow status value.
`static final QName`
`REQUESTER`
Requester status value.
`static final QName`
`RESOURCE_NOT_RECOGNIZED`
ResourceNotRecognized status value.
`static final QName`
`RESPONDER`
Responder status value.
`static final QName`
`SUCCESS`
Success status value.
`static final QName`
`TOO_MANY_RESPONSES`
TooManyResponses status value.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`VALUE_ATTRIB_NAME`
Name for the attribute which defines the Value.
`static final QName`
`VERSION_MISMATCH`
VersionMismatch status value.

## Method Summary

Modifier and Type
Method
Description
`StatusCode`
`getStatusCode()`
Gets the second level status code.
`QName`
`getValue()`
Gets the value of the status code.
`void`
`setStatusCode(StatusCode statusCode)`
Sets the second level status code.
`void`
`setValue(QName value)`
Sets the value of the status code.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### SUCCESS

@Nonnull static final QName SUCCESS
Success status value.

### VERSION_MISMATCH

@Nonnull static final QName VERSION_MISMATCH
VersionMismatch status value.

### REQUESTER

@Nonnull static final QName REQUESTER
Requester status value.

### RESPONDER

@Nonnull static final QName RESPONDER
Responder status value.

### REQUEST_VERSION_TOO_HIGH

@Nonnull static final QName REQUEST_VERSION_TOO_HIGH
RequestVersionTooHigh status value.

### REQUEST_VERSION_TOO_LOW

@Nonnull static final QName REQUEST_VERSION_TOO_LOW
RequestVersionTooLow status value.

### REQUEST_VERSION_DEPRECATED

@Nonnull static final QName REQUEST_VERSION_DEPRECATED
RequestVersionDepricated status value.

### TOO_MANY_RESPONSES

@Nonnull static final QName TOO_MANY_RESPONSES
TooManyResponses status value.

### REQUEST_DENIED

@Nonnull static final QName REQUEST_DENIED
RequestDenied status value.

### RESOURCE_NOT_RECOGNIZED

@Nonnull static final QName RESOURCE_NOT_RECOGNIZED
ResourceNotRecognized status value.

### VALUE_ATTRIB_NAME

@Nonnull @NotEmpty static final String VALUE_ATTRIB_NAME
Name for the attribute which defines the Value.

See Also:
  - Constant Field Values

## Method Details

### getValue

@Nullable QName getValue()
Gets the value of the status code.

Returns:
  value of the status code

### setValue

void setValue(@Nullable QName value)
Sets the value of the status code.

Parameters:
  `value` - value of the status code

### getStatusCode

@Nullable StatusCode getStatusCode()
Gets the second level status code.

Returns:
  second level status code

### setStatusCode

void setStatusCode(@Nullable StatusCode statusCode)
Sets the second level status code.

Parameters:
  `statusCode` - second level status code